--
-- Create schema splash
--

CREATE DATABASE IF NOT EXISTS splash;
USE splash;

--
-- Definition of table niveaus
--

DROP TABLE IF EXISTS niveaus;
CREATE TABLE niveaus (
  afstand int(4) default NULL,
  slag char(2) default NULL,
  gesl char(1) default NULL,
  badlengte tinyint(2) unsigned defaulT NULL,
  niveau char(1) default NULL,
  leeftijd1 int(4) default NULL,
  leeftijd2 int(4) default NULL,
  tijd varchar(10) default NULL);

--
-- Definition of table limieten
--

DROP TABLE IF EXISTS limieten;
CREATE TABLE limieten (
  wcode varchar(25) default NULL,
  afstand int(4) default NULL,
  slag char(2) default NULL,
  gesl char(1) default NULL,
  gebjr1 int(4) default NULL,
  gebjr2 int(4) default NULL,
  limiet25 varchar(10) default NULL,
  limiet50 varchar(10) default NULL,
  datum1 date default NULL,
  datum2 date default NULL);

--
-- Definition of table tijden
--

DROP TABLE IF EXISTS tijden;
CREATE TABLE  tijden (
  plaats varchar(100) NOT NULL,
  datum date NOT NULL,
  wedstrijd varchar(100) NOT NULL,
  badlengte tinyint(2) unsigned NOT NULL default '0',
  slag varchar(15) NOT NULL,
  afstand smallint(4) unsigned NOT NULL default '0',
  startnummer int(11) unsigned NOT NULL default '0',
  tijd varchar(10) default NULL,
  dis varchar(15) default NULL,
  opmerkingen varchar(150) default NULL);

--
-- Definition of table zwemmers
--

DROP TABLE IF EXISTS zwemmers;
CREATE TABLE  zwemmers (
  startnummer int(11) NOT NULL default '0',
  voornaam varchar(50) NOT NULL,
  tussenvoegsels varchar(10) default NULL,
  achternaam varchar(100) NOT NULL,
  geslacht char(1) NOT NULL,
  gebdatum date default NULL,
  actief tinyint(1) NOT NULL default '1',
  PRIMARY KEY (startnummer));

